/*===========================================================================*/
/*   (Ieee/symbol.scm)                                                       */
/*   Bigloo (4.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 19 09:11:58 AM CET 2026     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.7a/bin/bigloo -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.7a/lib/bigloo/4.7a +rm -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Ieee/symbol.scm -indent -o objs/obj_u/Ieee/symbol.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___R4_SYMBOLS_6_4_TYPE_DEFINITIONS
#define BGL___R4_SYMBOLS_6_4_TYPE_DEFINITIONS
#endif													// BGL___R4_SYMBOLS_6_4_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	BGL_EXPORTED_DECL obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_keywordzd2ze3stringz12z23zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_z62rempropz12z70zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_symbolzd2existszf3z21zz__r4_symbols_6_4z00(obj_t);
	extern obj_t bstring_to_keyword(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__r4_symbols_6_4z00 = BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL bool_t BGl_keywordzf3zf3zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_keywordzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_z62keywordzd2ze3stringz53zz__r4_symbols_6_4z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_stringzd2ze3symbolz31zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_z62symbolzd2ze3keywordz53zz__r4_symbols_6_4z00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__r4_symbols_6_4z00(void);
	static obj_t BGl_z62symbolzd2plistzb0zz__r4_symbols_6_4z00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_symbolzf3zf3zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_z62symbolzf3z91zz__r4_symbols_6_4z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_stringzd2ze3keywordz31zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_z62stringzd2ze3keywordz53zz__r4_symbols_6_4z00(obj_t, obj_t);
	static obj_t BGl_z62symbolzd2ze3stringz53zz__r4_symbols_6_4z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__r4_symbols_6_4z00(void);
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_z62putpropz12z70zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__r4_symbols_6_4z00(void);
	static obj_t BGl_z62keywordzd2ze3stringz12z41zz__r4_symbols_6_4z00(obj_t,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zz__r4_symbols_6_4z00(void);
	BGL_EXPORTED_DECL obj_t BGl_symbolzd2plistzd2zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_objectzd2initzd2zz__r4_symbols_6_4z00(void);
	static obj_t BGl_symbolzd2appendze70z35zz__r4_symbols_6_4z00(obj_t);
	extern obj_t bgl_gensym(obj_t);
	static obj_t BGl_z62symbolzd2appendzb0zz__r4_symbols_6_4z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	static obj_t BGl_z62getpropz62zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62keywordzf3z91zz__r4_symbols_6_4z00(obj_t, obj_t);
	static long BGl_za2gensymzd2counterza2zd2zz__r4_symbols_6_4z00 = 0L;
	BGL_EXPORTED_DECL obj_t
		BGl_symbolzd2ze3stringz12z23zz__r4_symbols_6_4z00(obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62symbolzd2ze3stringz12z41zz__r4_symbols_6_4z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rempropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_methodzd2initzd2zz__r4_symbols_6_4z00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_keywordzd2ze3symbolz31zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_z62symbolzd2existszf3z43zz__r4_symbols_6_4z00(obj_t, obj_t);
	static obj_t BGl_z62keywordzd2ze3symbolz53zz__r4_symbols_6_4z00(obj_t, obj_t);
	static obj_t BGl_z62stringzd2ze3symbolzd2ciz81zz__r4_symbols_6_4z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_symbolzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl__gensymz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	static obj_t BGl_z62stringzd2ze3symbolz53zz__r4_symbols_6_4z00(obj_t, obj_t);
	extern obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(obj_t);
	extern bool_t symbol_exists_p(char *);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_stringzd2ze3symbolzd2cize3zz__r4_symbols_6_4z00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stringzd2ze3keywordzd2envze3zz__r4_symbols_6_4z00,
		BgL_bgl_za762stringza7d2za7e3k1676za7,
		BGl_z62stringzd2ze3keywordz53zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rempropz12zd2envzc0zz__r4_symbols_6_4z00,
		BgL_bgl_za762rempropza712za7701677za7,
		BGl_z62rempropz12z70zz__r4_symbols_6_4z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_symbolzd2plistzd2envz00zz__r4_symbols_6_4z00,
		BgL_bgl_za762symbolza7d2plis1678z00,
		BGl_z62symbolzd2plistzb0zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_keywordzf3zd2envz21zz__r4_symbols_6_4z00,
		BgL_bgl_za762keywordza7f3za7911679za7,
		BGl_z62keywordzf3z91zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_keywordzd2ze3symbolzd2envze3zz__r4_symbols_6_4z00,
		BgL_bgl_za762keywordza7d2za7e31680za7,
		BGl_z62keywordzd2ze3symbolz53zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stringzd2ze3symbolzd2cizd2envz31zz__r4_symbols_6_4z00,
		BgL_bgl_za762stringza7d2za7e3s1681za7,
		BGl_z62stringzd2ze3symbolzd2ciz81zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stringzd2ze3symbolzd2envze3zz__r4_symbols_6_4z00,
		BgL_bgl_za762stringza7d2za7e3s1682za7,
		BGl_z62stringzd2ze3symbolz53zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_gensymzd2envzd2zz__r4_symbols_6_4z00,
		BgL_bgl__gensymza700za7za7__r41683za7, opt_generic_entry,
		BGl__gensymz00zz__r4_symbols_6_4z00, BFALSE, -1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_symbolzf3zd2envz21zz__r4_symbols_6_4z00,
		BgL_bgl_za762symbolza7f3za791za71684z00,
		BGl_z62symbolzf3z91zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_symbolzd2existszf3zd2envzf3zz__r4_symbols_6_4z00,
		BgL_bgl_za762symbolza7d2exis1685z00,
		BGl_z62symbolzd2existszf3z43zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
	      BGL_DEFINE_STRING(BGl_string1653z00zz__r4_symbols_6_4z00,
		BgL_bgl_string1653za700za7za7_1686za7,
		"/tmp/bigloo/runtime/Ieee/symbol.scm", 35);
	      BGL_DEFINE_STRING(BGl_string1654z00zz__r4_symbols_6_4z00,
		BgL_bgl_string1654za700za7za7_1687za7, "&symbol->string", 15);
	      BGL_DEFINE_STRING(BGl_string1655z00zz__r4_symbols_6_4z00,
		BgL_bgl_string1655za700za7za7_1688za7, "symbol", 6);
	      BGL_DEFINE_STRING(BGl_string1656z00zz__r4_symbols_6_4z00,
		BgL_bgl_string1656za700za7za7_1689za7, "&symbol->string!", 16);
	      BGL_DEFINE_STRING(BGl_string1657z00zz__r4_symbols_6_4z00,
		BgL_bgl_string1657za700za7za7_1690za7, "&string->symbol", 15);
	      BGL_DEFINE_STRING(BGl_string1658z00zz__r4_symbols_6_4z00,
		BgL_bgl_string1658za700za7za7_1691za7, "bstring", 7);
	      BGL_DEFINE_STRING(BGl_string1659z00zz__r4_symbols_6_4z00,
		BgL_bgl_string1659za700za7za7_1692za7, "&string->symbol-ci", 18);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_symbolzd2ze3stringzd2envze3zz__r4_symbols_6_4z00,
		BgL_bgl_za762symbolza7d2za7e3s1693za7,
		BGl_z62symbolzd2ze3stringz53zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_putpropz12zd2envzc0zz__r4_symbols_6_4z00,
		BgL_bgl_za762putpropza712za7701694za7,
		BGl_z62putpropz12z70zz__r4_symbols_6_4z00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_symbolzd2ze3keywordzd2envze3zz__r4_symbols_6_4z00,
		BgL_bgl_za762symbolza7d2za7e3k1695za7,
		BGl_z62symbolzd2ze3keywordz53zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
	      BGL_DEFINE_STRING(BGl_string1660z00zz__r4_symbols_6_4z00,
		BgL_bgl_string1660za700za7za7_1696za7, "", 0);
	      BGL_DEFINE_STRING(BGl_string1661z00zz__r4_symbols_6_4z00,
		BgL_bgl_string1661za700za7za7_1697za7, "&symbol-exists?", 15);
	      BGL_DEFINE_STRING(BGl_string1662z00zz__r4_symbols_6_4z00,
		BgL_bgl_string1662za700za7za7_1698za7, "_gensym", 7);
	      BGL_DEFINE_STRING(BGl_string1663z00zz__r4_symbols_6_4z00,
		BgL_bgl_string1663za700za7za7_1699za7, "vector", 6);
	      BGL_DEFINE_STRING(BGl_string1664z00zz__r4_symbols_6_4z00,
		BgL_bgl_string1664za700za7za7_1700za7, "gensym", 6);
	      BGL_DEFINE_STRING(BGl_string1665z00zz__r4_symbols_6_4z00,
		BgL_bgl_string1665za700za7za7_1701za7, "Illegal argument", 16);
	      BGL_DEFINE_STRING(BGl_string1666z00zz__r4_symbols_6_4z00,
		BgL_bgl_string1666za700za7za7_1702za7, "symbol-plist", 12);
	      BGL_DEFINE_STRING(BGl_string1667z00zz__r4_symbols_6_4z00,
		BgL_bgl_string1667za700za7za7_1703za7,
		"argument is neither a symbol nor a keyword", 42);
	      BGL_DEFINE_STRING(BGl_string1668z00zz__r4_symbols_6_4z00,
		BgL_bgl_string1668za700za7za7_1704za7, "getprop", 7);
	      BGL_DEFINE_STRING(BGl_string1669z00zz__r4_symbols_6_4z00,
		BgL_bgl_string1669za700za7za7_1705za7, "&keyword->string", 16);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getpropzd2envzd2zz__r4_symbols_6_4z00,
		BgL_bgl_za762getpropza762za7za7_1706z00,
		BGl_z62getpropz62zz__r4_symbols_6_4z00, 0L, BUNSPEC, 2);
	      BGL_DEFINE_STRING(BGl_string1670z00zz__r4_symbols_6_4z00,
		BgL_bgl_string1670za700za7za7_1707za7, "keyword", 7);
	      BGL_DEFINE_STRING(BGl_string1671z00zz__r4_symbols_6_4z00,
		BgL_bgl_string1671za700za7za7_1708za7, "&keyword->string!", 17);
	      BGL_DEFINE_STRING(BGl_string1672z00zz__r4_symbols_6_4z00,
		BgL_bgl_string1672za700za7za7_1709za7, "&string->keyword", 16);
	      BGL_DEFINE_STRING(BGl_string1673z00zz__r4_symbols_6_4z00,
		BgL_bgl_string1673za700za7za7_1710za7, "&symbol->keyword", 16);
	      BGL_DEFINE_STRING(BGl_string1674z00zz__r4_symbols_6_4z00,
		BgL_bgl_string1674za700za7za7_1711za7, "&keyword->symbol", 16);
	      BGL_DEFINE_STRING(BGl_string1675z00zz__r4_symbols_6_4z00,
		BgL_bgl_string1675za700za7za7_1712za7, "__r4_symbols_6_4", 16);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_symbolzd2ze3stringz12zd2envzf1zz__r4_symbols_6_4z00,
		BgL_bgl_za762symbolza7d2za7e3s1713za7,
		BGl_z62symbolzd2ze3stringz12z41zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_keywordzd2ze3stringzd2envze3zz__r4_symbols_6_4z00,
		BgL_bgl_za762keywordza7d2za7e31714za7,
		BGl_z62keywordzd2ze3stringz53zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_keywordzd2ze3stringz12zd2envzf1zz__r4_symbols_6_4z00,
		BgL_bgl_za762keywordza7d2za7e31715za7,
		BGl_z62keywordzd2ze3stringz12z41zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_symbolzd2appendzd2envz00zz__r4_symbols_6_4z00,
		BgL_bgl_za762symbolza7d2appe1716z00, va_generic_entry,
		BGl_z62symbolzd2appendzb0zz__r4_symbols_6_4z00, BUNSPEC, -1);

/* contant bindings */
	static void bgl_constant_bindings()
	{
		BGL_BIND_PROCEDURE(BGl_symbolzd2appendzd2envz00zz__r4_symbols_6_4z00,
			BgL_bgl_za762symbolza7d2appe1716z00);
		BGL_BIND_PROCEDURE(BGl_keywordzd2ze3stringz12zd2envzf1zz__r4_symbols_6_4z00,
			BgL_bgl_za762keywordza7d2za7e31715za7);
		BGL_BIND_PROCEDURE(BGl_keywordzd2ze3stringzd2envze3zz__r4_symbols_6_4z00,
			BgL_bgl_za762keywordza7d2za7e31714za7);
		BGL_BIND_PROCEDURE(BGl_symbolzd2ze3stringz12zd2envzf1zz__r4_symbols_6_4z00,
			BgL_bgl_za762symbolza7d2za7e3s1713za7);
		BGL_BIND_STRING(BGl_string1675z00zz__r4_symbols_6_4z00,
			BgL_bgl_string1675za700za7za7_1712za7);
		BGL_BIND_STRING(BGl_string1674z00zz__r4_symbols_6_4z00,
			BgL_bgl_string1674za700za7za7_1711za7);
		BGL_BIND_STRING(BGl_string1673z00zz__r4_symbols_6_4z00,
			BgL_bgl_string1673za700za7za7_1710za7);
		BGL_BIND_STRING(BGl_string1672z00zz__r4_symbols_6_4z00,
			BgL_bgl_string1672za700za7za7_1709za7);
		BGL_BIND_STRING(BGl_string1671z00zz__r4_symbols_6_4z00,
			BgL_bgl_string1671za700za7za7_1708za7);
		BGL_BIND_STRING(BGl_string1670z00zz__r4_symbols_6_4z00,
			BgL_bgl_string1670za700za7za7_1707za7);
		BGL_BIND_PROCEDURE(BGl_getpropzd2envzd2zz__r4_symbols_6_4z00,
			BgL_bgl_za762getpropza762za7za7_1706z00);
		BGL_BIND_STRING(BGl_string1669z00zz__r4_symbols_6_4z00,
			BgL_bgl_string1669za700za7za7_1705za7);
		BGL_BIND_STRING(BGl_string1668z00zz__r4_symbols_6_4z00,
			BgL_bgl_string1668za700za7za7_1704za7);
		BGL_BIND_STRING(BGl_string1667z00zz__r4_symbols_6_4z00,
			BgL_bgl_string1667za700za7za7_1703za7);
		BGL_BIND_STRING(BGl_string1666z00zz__r4_symbols_6_4z00,
			BgL_bgl_string1666za700za7za7_1702za7);
		BGL_BIND_STRING(BGl_string1665z00zz__r4_symbols_6_4z00,
			BgL_bgl_string1665za700za7za7_1701za7);
		BGL_BIND_STRING(BGl_string1664z00zz__r4_symbols_6_4z00,
			BgL_bgl_string1664za700za7za7_1700za7);
		BGL_BIND_STRING(BGl_string1663z00zz__r4_symbols_6_4z00,
			BgL_bgl_string1663za700za7za7_1699za7);
		BGL_BIND_STRING(BGl_string1662z00zz__r4_symbols_6_4z00,
			BgL_bgl_string1662za700za7za7_1698za7);
		BGL_BIND_STRING(BGl_string1661z00zz__r4_symbols_6_4z00,
			BgL_bgl_string1661za700za7za7_1697za7);
		BGL_BIND_STRING(BGl_string1660z00zz__r4_symbols_6_4z00,
			BgL_bgl_string1660za700za7za7_1696za7);
		BGL_BIND_PROCEDURE(BGl_symbolzd2ze3keywordzd2envze3zz__r4_symbols_6_4z00,
			BgL_bgl_za762symbolza7d2za7e3k1695za7);
		BGL_BIND_PROCEDURE(BGl_putpropz12zd2envzc0zz__r4_symbols_6_4z00,
			BgL_bgl_za762putpropza712za7701694za7);
		BGL_BIND_PROCEDURE(BGl_symbolzd2ze3stringzd2envze3zz__r4_symbols_6_4z00,
			BgL_bgl_za762symbolza7d2za7e3s1693za7);
		BGL_BIND_STRING(BGl_string1659z00zz__r4_symbols_6_4z00,
			BgL_bgl_string1659za700za7za7_1692za7);
		BGL_BIND_STRING(BGl_string1658z00zz__r4_symbols_6_4z00,
			BgL_bgl_string1658za700za7za7_1691za7);
		BGL_BIND_STRING(BGl_string1657z00zz__r4_symbols_6_4z00,
			BgL_bgl_string1657za700za7za7_1690za7);
		BGL_BIND_STRING(BGl_string1656z00zz__r4_symbols_6_4z00,
			BgL_bgl_string1656za700za7za7_1689za7);
		BGL_BIND_STRING(BGl_string1655z00zz__r4_symbols_6_4z00,
			BgL_bgl_string1655za700za7za7_1688za7);
		BGL_BIND_STRING(BGl_string1654z00zz__r4_symbols_6_4z00,
			BgL_bgl_string1654za700za7za7_1687za7);
		BGL_BIND_STRING(BGl_string1653z00zz__r4_symbols_6_4z00,
			BgL_bgl_string1653za700za7za7_1686za7);
		BGL_BIND_PROCEDURE(BGl_symbolzd2existszf3zd2envzf3zz__r4_symbols_6_4z00,
			BgL_bgl_za762symbolza7d2exis1685z00);
		BGL_BIND_PROCEDURE(BGl_symbolzf3zd2envz21zz__r4_symbols_6_4z00,
			BgL_bgl_za762symbolza7f3za791za71684z00);
		BGL_BIND_PROCEDURE(BGl_gensymzd2envzd2zz__r4_symbols_6_4z00,
			BgL_bgl__gensymza700za7za7__r41683za7);
		BGL_BIND_PROCEDURE(BGl_stringzd2ze3symbolzd2envze3zz__r4_symbols_6_4z00,
			BgL_bgl_za762stringza7d2za7e3s1682za7);
		BGL_BIND_PROCEDURE
			(BGl_stringzd2ze3symbolzd2cizd2envz31zz__r4_symbols_6_4z00,
			BgL_bgl_za762stringza7d2za7e3s1681za7);
		BGL_BIND_PROCEDURE(BGl_keywordzd2ze3symbolzd2envze3zz__r4_symbols_6_4z00,
			BgL_bgl_za762keywordza7d2za7e31680za7);
		BGL_BIND_PROCEDURE(BGl_keywordzf3zd2envz21zz__r4_symbols_6_4z00,
			BgL_bgl_za762keywordza7f3za7911679za7);
		BGL_BIND_PROCEDURE(BGl_symbolzd2plistzd2envz00zz__r4_symbols_6_4z00,
			BgL_bgl_za762symbolza7d2plis1678z00);
		BGL_BIND_PROCEDURE(BGl_rempropz12zd2envzc0zz__r4_symbols_6_4z00,
			BgL_bgl_za762rempropza712za7701677za7);
		BGL_BIND_PROCEDURE(BGl_stringzd2ze3keywordzd2envze3zz__r4_symbols_6_4z00,
			BgL_bgl_za762stringza7d2za7e3k1676za7);
	}

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;

		ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__r4_symbols_6_4z00));
#undef ADD_ROOT
		if (roots_max > 0)
			GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long
		BgL_checksumz00_1877, char *BgL_fromz00_1878)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__r4_symbols_6_4z00))
				{
					BGl_requirezd2initializa7ationz75zz__r4_symbols_6_4z00 =
						BBOOL(((bool_t) 0));
					bgl_constant_bindings();
					BGl_gczd2rootszd2initz00zz__r4_symbols_6_4z00();
					BGl_importedzd2moduleszd2initz00zz__r4_symbols_6_4z00();
					return BGl_toplevelzd2initzd2zz__r4_symbols_6_4z00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__r4_symbols_6_4z00(void)
	{
		{	/* Ieee/symbol.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__r4_symbols_6_4z00(void)
	{
		{	/* Ieee/symbol.scm 14 */
			return (BGl_za2gensymzd2counterza2zd2zz__r4_symbols_6_4z00 =
				999L, BUNSPEC);
		}

	}



/* symbol? */
	BGL_EXPORTED_DEF bool_t BGl_symbolzf3zf3zz__r4_symbols_6_4z00(obj_t
		BgL_objz00_3)
	{
		{	/* Ieee/symbol.scm 167 */
			return SYMBOLP(BgL_objz00_3);
		}

	}



/* &symbol? */
	obj_t BGl_z62symbolzf3z91zz__r4_symbols_6_4z00(obj_t BgL_envz00_1813,
		obj_t BgL_objz00_1814)
	{
		{	/* Ieee/symbol.scm 167 */
			return BBOOL(BGl_symbolzf3zf3zz__r4_symbols_6_4z00(BgL_objz00_1814));
		}

	}



/* symbol->string */
	BGL_EXPORTED_DEF obj_t BGl_symbolzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t
		BgL_symbolz00_4)
	{
		{	/* Ieee/symbol.scm 173 */
			{	/* Ieee/symbol.scm 174 */
				obj_t BgL_arg1163z00_1875;

				BgL_arg1163z00_1875 = SYMBOL_TO_STRING(BgL_symbolz00_4);
				return BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1163z00_1875);
			}
		}

	}



/* &symbol->string */
	obj_t BGl_z62symbolzd2ze3stringz53zz__r4_symbols_6_4z00(obj_t BgL_envz00_1815,
		obj_t BgL_symbolz00_1816)
	{
		{	/* Ieee/symbol.scm 173 */
			{	/* Ieee/symbol.scm 174 */
				obj_t BgL_auxz00_1892;

				if (SYMBOLP(BgL_symbolz00_1816))
					{	/* Ieee/symbol.scm 174 */
						BgL_auxz00_1892 = BgL_symbolz00_1816;
					}
				else
					{
						obj_t BgL_auxz00_1895;

						BgL_auxz00_1895 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1653z00zz__r4_symbols_6_4z00, BINT(7298L),
							BGl_string1654z00zz__r4_symbols_6_4z00,
							BGl_string1655z00zz__r4_symbols_6_4z00, BgL_symbolz00_1816);
						FAILURE(BgL_auxz00_1895, BFALSE, BFALSE);
					}
				return BGl_symbolzd2ze3stringz31zz__r4_symbols_6_4z00(BgL_auxz00_1892);
			}
		}

	}



/* symbol->string! */
	BGL_EXPORTED_DEF obj_t BGl_symbolzd2ze3stringz12z23zz__r4_symbols_6_4z00(obj_t
		BgL_symbolz00_5)
	{
		{	/* Ieee/symbol.scm 179 */
			return SYMBOL_TO_STRING(BgL_symbolz00_5);
		}

	}



/* &symbol->string! */
	obj_t BGl_z62symbolzd2ze3stringz12z41zz__r4_symbols_6_4z00(obj_t
		BgL_envz00_1817, obj_t BgL_symbolz00_1818)
	{
		{	/* Ieee/symbol.scm 179 */
			{	/* Ieee/symbol.scm 180 */
				obj_t BgL_auxz00_1901;

				if (SYMBOLP(BgL_symbolz00_1818))
					{	/* Ieee/symbol.scm 180 */
						BgL_auxz00_1901 = BgL_symbolz00_1818;
					}
				else
					{
						obj_t BgL_auxz00_1904;

						BgL_auxz00_1904 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1653z00zz__r4_symbols_6_4z00, BINT(7592L),
							BGl_string1656z00zz__r4_symbols_6_4z00,
							BGl_string1655z00zz__r4_symbols_6_4z00, BgL_symbolz00_1818);
						FAILURE(BgL_auxz00_1904, BFALSE, BFALSE);
					}
				return
					BGl_symbolzd2ze3stringz12z23zz__r4_symbols_6_4z00(BgL_auxz00_1901);
			}
		}

	}



/* string->symbol */
	BGL_EXPORTED_DEF obj_t BGl_stringzd2ze3symbolz31zz__r4_symbols_6_4z00(obj_t
		BgL_stringz00_6)
	{
		{	/* Ieee/symbol.scm 185 */
			BGL_TAIL return bstring_to_symbol(BgL_stringz00_6);
		}

	}



/* &string->symbol */
	obj_t BGl_z62stringzd2ze3symbolz53zz__r4_symbols_6_4z00(obj_t BgL_envz00_1819,
		obj_t BgL_stringz00_1820)
	{
		{	/* Ieee/symbol.scm 185 */
			{	/* Ieee/symbol.scm 188 */
				obj_t BgL_auxz00_1910;

				if (STRINGP(BgL_stringz00_1820))
					{	/* Ieee/symbol.scm 188 */
						BgL_auxz00_1910 = BgL_stringz00_1820;
					}
				else
					{
						obj_t BgL_auxz00_1913;

						BgL_auxz00_1913 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1653z00zz__r4_symbols_6_4z00, BINT(7936L),
							BGl_string1657z00zz__r4_symbols_6_4z00,
							BGl_string1658z00zz__r4_symbols_6_4z00, BgL_stringz00_1820);
						FAILURE(BgL_auxz00_1913, BFALSE, BFALSE);
					}
				return BGl_stringzd2ze3symbolz31zz__r4_symbols_6_4z00(BgL_auxz00_1910);
			}
		}

	}



/* string->symbol-ci */
	BGL_EXPORTED_DEF obj_t
		BGl_stringzd2ze3symbolzd2cize3zz__r4_symbols_6_4z00(obj_t BgL_stringz00_7)
	{
		{	/* Ieee/symbol.scm 195 */
			BGL_TAIL return
				bstring_to_symbol(BGl_stringzd2upcasezd2zz__r4_strings_6_7z00
				(BgL_stringz00_7));
		}

	}



/* &string->symbol-ci */
	obj_t BGl_z62stringzd2ze3symbolzd2ciz81zz__r4_symbols_6_4z00(obj_t
		BgL_envz00_1821, obj_t BgL_stringz00_1822)
	{
		{	/* Ieee/symbol.scm 195 */
			{	/* Ieee/symbol.scm 196 */
				obj_t BgL_auxz00_1920;

				if (STRINGP(BgL_stringz00_1822))
					{	/* Ieee/symbol.scm 196 */
						BgL_auxz00_1920 = BgL_stringz00_1822;
					}
				else
					{
						obj_t BgL_auxz00_1923;

						BgL_auxz00_1923 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1653z00zz__r4_symbols_6_4z00, BINT(8289L),
							BGl_string1659z00zz__r4_symbols_6_4z00,
							BGl_string1658z00zz__r4_symbols_6_4z00, BgL_stringz00_1822);
						FAILURE(BgL_auxz00_1923, BFALSE, BFALSE);
					}
				return
					BGl_stringzd2ze3symbolzd2cize3zz__r4_symbols_6_4z00(BgL_auxz00_1920);
			}
		}

	}



/* symbol-append */
	BGL_EXPORTED_DEF obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t
		BgL_listz00_8)
	{
		{	/* Ieee/symbol.scm 201 */
			{	/* Ieee/symbol.scm 203 */
				obj_t BgL_arg1169z00_1090;

				if (NULLP(BgL_listz00_8))
					{	/* Ieee/symbol.scm 203 */
						BgL_arg1169z00_1090 = BGl_string1660z00zz__r4_symbols_6_4z00;
					}
				else
					{	/* Ieee/symbol.scm 203 */
						BgL_arg1169z00_1090 =
							BGl_symbolzd2appendze70z35zz__r4_symbols_6_4z00(BgL_listz00_8);
					}
				return bstring_to_symbol(BgL_arg1169z00_1090);
			}
		}

	}



/* symbol-append~0 */
	obj_t BGl_symbolzd2appendze70z35zz__r4_symbols_6_4z00(obj_t BgL_listz00_1093)
	{
		{	/* Ieee/symbol.scm 205 */
			if (NULLP(CDR(((obj_t) BgL_listz00_1093))))
				{	/* Ieee/symbol.scm 207 */
					obj_t BgL_arg1189z00_1097;

					BgL_arg1189z00_1097 = CAR(((obj_t) BgL_listz00_1093));
					{	/* Ieee/symbol.scm 174 */
						obj_t BgL_arg1163z00_1569;

						BgL_arg1163z00_1569 =
							SYMBOL_TO_STRING(((obj_t) BgL_arg1189z00_1097));
						return
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1163z00_1569);
					}
				}
			else
				{	/* Ieee/symbol.scm 208 */
					obj_t BgL_arg1192z00_1098;
					obj_t BgL_arg1193z00_1099;

					{	/* Ieee/symbol.scm 208 */
						obj_t BgL_arg1194z00_1100;

						BgL_arg1194z00_1100 = CAR(((obj_t) BgL_listz00_1093));
						{	/* Ieee/symbol.scm 174 */
							obj_t BgL_arg1163z00_1572;

							BgL_arg1163z00_1572 =
								SYMBOL_TO_STRING(((obj_t) BgL_arg1194z00_1100));
							BgL_arg1192z00_1098 =
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1163z00_1572);
						}
					}
					{	/* Ieee/symbol.scm 209 */
						obj_t BgL_arg1195z00_1101;

						BgL_arg1195z00_1101 = CDR(((obj_t) BgL_listz00_1093));
						BgL_arg1193z00_1099 =
							BGl_symbolzd2appendze70z35zz__r4_symbols_6_4z00
							(BgL_arg1195z00_1101);
					}
					return string_append(BgL_arg1192z00_1098, BgL_arg1193z00_1099);
				}
		}

	}



/* &symbol-append */
	obj_t BGl_z62symbolzd2appendzb0zz__r4_symbols_6_4z00(obj_t BgL_envz00_1823,
		obj_t BgL_listz00_1824)
	{
		{	/* Ieee/symbol.scm 201 */
			return BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_listz00_1824);
		}

	}



/* symbol-exists? */
	BGL_EXPORTED_DEF bool_t BGl_symbolzd2existszf3z21zz__r4_symbols_6_4z00(obj_t
		BgL_symz00_9)
	{
		{	/* Ieee/symbol.scm 219 */
			return symbol_exists_p(BSTRING_TO_STRING(BgL_symz00_9));
		}

	}



/* &symbol-exists? */
	obj_t BGl_z62symbolzd2existszf3z43zz__r4_symbols_6_4z00(obj_t BgL_envz00_1825,
		obj_t BgL_symz00_1826)
	{
		{	/* Ieee/symbol.scm 219 */
			{	/* Ieee/symbol.scm 220 */
				bool_t BgL_tmpz00_1953;

				{	/* Ieee/symbol.scm 220 */
					obj_t BgL_auxz00_1954;

					if (STRINGP(BgL_symz00_1826))
						{	/* Ieee/symbol.scm 220 */
							BgL_auxz00_1954 = BgL_symz00_1826;
						}
					else
						{
							obj_t BgL_auxz00_1957;

							BgL_auxz00_1957 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string1653z00zz__r4_symbols_6_4z00, BINT(9319L),
								BGl_string1661z00zz__r4_symbols_6_4z00,
								BGl_string1658z00zz__r4_symbols_6_4z00, BgL_symz00_1826);
							FAILURE(BgL_auxz00_1957, BFALSE, BFALSE);
						}
					BgL_tmpz00_1953 =
						BGl_symbolzd2existszf3z21zz__r4_symbols_6_4z00(BgL_auxz00_1954);
				}
				return BBOOL(BgL_tmpz00_1953);
			}
		}

	}



/* _gensym */
	obj_t BGl__gensymz00zz__r4_symbols_6_4z00(obj_t BgL_env1089z00_12,
		obj_t BgL_opt1088z00_11)
	{
		{	/* Ieee/symbol.scm 225 */
			{	/* Ieee/symbol.scm 225 */

				{	/* Ieee/symbol.scm 225 */
					long BgL_aux1091z00_1105;

					{
						obj_t BgL_auxz00_1963;

						if (VECTORP(BgL_opt1088z00_11))
							{	/* Ieee/symbol.scm 225 */
								BgL_auxz00_1963 = BgL_opt1088z00_11;
							}
						else
							{
								obj_t BgL_auxz00_1966;

								BgL_auxz00_1966 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1653z00zz__r4_symbols_6_4z00, BINT(9565L),
									BGl_string1662z00zz__r4_symbols_6_4z00,
									BGl_string1663z00zz__r4_symbols_6_4z00, BgL_opt1088z00_11);
								FAILURE(BgL_auxz00_1966, BFALSE, BFALSE);
							}
						BgL_aux1091z00_1105 = VECTOR_LENGTH(BgL_auxz00_1963);
					}
					switch (BgL_aux1091z00_1105)
						{
						case 0L:

							{	/* Ieee/symbol.scm 225 */

								return BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
							}
							break;
						case 1L:

							{	/* Ieee/symbol.scm 225 */
								obj_t BgL_argz00_1107;

								{
									obj_t BgL_auxz00_1972;

									if (VECTORP(BgL_opt1088z00_11))
										{	/* Ieee/symbol.scm 225 */
											BgL_auxz00_1972 = BgL_opt1088z00_11;
										}
									else
										{
											obj_t BgL_auxz00_1975;

											BgL_auxz00_1975 =
												BGl_typezd2errorzd2zz__errorz00
												(BGl_string1653z00zz__r4_symbols_6_4z00, BINT(9565L),
												BGl_string1662z00zz__r4_symbols_6_4z00,
												BGl_string1663z00zz__r4_symbols_6_4z00,
												BgL_opt1088z00_11);
											FAILURE(BgL_auxz00_1975, BFALSE, BFALSE);
										}
									BgL_argz00_1107 = VECTOR_REF(BgL_auxz00_1972, 0L);
								}
								{	/* Ieee/symbol.scm 225 */

									return BGl_gensymz00zz__r4_symbols_6_4z00(BgL_argz00_1107);
								}
							}
							break;
						default:
							return BUNSPEC;
						}
				}
			}
		}

	}



/* gensym */
	BGL_EXPORTED_DEF obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t BgL_argz00_10)
	{
		{	/* Ieee/symbol.scm 225 */
			{	/* Ieee/symbol.scm 228 */
				obj_t BgL_argz00_1108;

				if (CBOOL(BgL_argz00_10))
					{	/* Ieee/symbol.scm 229 */
						if (SYMBOLP(BgL_argz00_10))
							{	/* Ieee/symbol.scm 174 */
								obj_t BgL_arg1163z00_1576;

								BgL_arg1163z00_1576 = SYMBOL_TO_STRING(BgL_argz00_10);
								BgL_argz00_1108 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1163z00_1576);
							}
						else
							{	/* Ieee/symbol.scm 230 */
								if (STRINGP(BgL_argz00_10))
									{	/* Ieee/symbol.scm 231 */
										BgL_argz00_1108 = BgL_argz00_10;
									}
								else
									{	/* Ieee/symbol.scm 231 */
										BgL_argz00_1108 =
											BGl_errorz00zz__errorz00
											(BGl_string1664z00zz__r4_symbols_6_4z00,
											BGl_string1665z00zz__r4_symbols_6_4z00, BgL_argz00_10);
									}
							}
					}
				else
					{	/* Ieee/symbol.scm 229 */
						BgL_argz00_1108 = BgL_argz00_10;
					}
				BGL_TAIL return bgl_gensym(BgL_argz00_1108);
			}
		}

	}



/* symbol-plist */
	BGL_EXPORTED_DEF obj_t BGl_symbolzd2plistzd2zz__r4_symbols_6_4z00(obj_t
		BgL_symbolz00_13)
	{
		{	/* Ieee/symbol.scm 251 */
			if (SYMBOLP(BgL_symbolz00_13))
				{	/* Ieee/symbol.scm 253 */
					return GET_SYMBOL_PLIST(BgL_symbolz00_13);
				}
			else
				{	/* Ieee/symbol.scm 253 */
					if (KEYWORDP(BgL_symbolz00_13))
						{	/* Ieee/symbol.scm 255 */
							return GET_KEYWORD_PLIST(BgL_symbolz00_13);
						}
					else
						{	/* Ieee/symbol.scm 255 */
							return
								BGl_errorz00zz__errorz00(BGl_string1666z00zz__r4_symbols_6_4z00,
								BGl_string1667z00zz__r4_symbols_6_4z00, BgL_symbolz00_13);
						}
				}
		}

	}



/* &symbol-plist */
	obj_t BGl_z62symbolzd2plistzb0zz__r4_symbols_6_4z00(obj_t BgL_envz00_1827,
		obj_t BgL_symbolz00_1828)
	{
		{	/* Ieee/symbol.scm 251 */
			return BGl_symbolzd2plistzd2zz__r4_symbols_6_4z00(BgL_symbolz00_1828);
		}

	}



/* getprop */
	BGL_EXPORTED_DEF obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t
		BgL_symbolz00_14, obj_t BgL_keyz00_15)
	{
		{	/* Ieee/symbol.scm 265 */
			{	/* Ieee/symbol.scm 266 */
				bool_t BgL_test1732z00_2000;

				if (SYMBOLP(BgL_symbolz00_14))
					{	/* Ieee/symbol.scm 266 */
						BgL_test1732z00_2000 = ((bool_t) 1);
					}
				else
					{	/* Ieee/symbol.scm 266 */
						BgL_test1732z00_2000 = KEYWORDP(BgL_symbolz00_14);
					}
				if (BgL_test1732z00_2000)
					{	/* Ieee/symbol.scm 267 */
						obj_t BgL_g1040z00_1115;

						if (SYMBOLP(BgL_symbolz00_14))
							{	/* Ieee/symbol.scm 253 */
								BgL_g1040z00_1115 = GET_SYMBOL_PLIST(BgL_symbolz00_14);
							}
						else
							{	/* Ieee/symbol.scm 253 */
								if (KEYWORDP(BgL_symbolz00_14))
									{	/* Ieee/symbol.scm 255 */
										BgL_g1040z00_1115 = GET_KEYWORD_PLIST(BgL_symbolz00_14);
									}
								else
									{	/* Ieee/symbol.scm 255 */
										BgL_g1040z00_1115 =
											BGl_errorz00zz__errorz00
											(BGl_string1666z00zz__r4_symbols_6_4z00,
											BGl_string1667z00zz__r4_symbols_6_4z00, BgL_symbolz00_14);
									}
							}
						{
							obj_t BgL_plz00_1117;

							BgL_plz00_1117 = BgL_g1040z00_1115;
						BgL_zc3z04anonymousza31203ze3z87_1118:
							if (NULLP(BgL_plz00_1117))
								{	/* Ieee/symbol.scm 269 */
									return BFALSE;
								}
							else
								{	/* Ieee/symbol.scm 269 */
									if ((CAR(((obj_t) BgL_plz00_1117)) == BgL_keyz00_15))
										{	/* Ieee/symbol.scm 272 */
											obj_t BgL_pairz00_1585;

											BgL_pairz00_1585 = CDR(((obj_t) BgL_plz00_1117));
											return CAR(BgL_pairz00_1585);
										}
									else
										{	/* Ieee/symbol.scm 274 */
											obj_t BgL_arg1208z00_1122;

											{	/* Ieee/symbol.scm 274 */
												obj_t BgL_pairz00_1589;

												BgL_pairz00_1589 = CDR(((obj_t) BgL_plz00_1117));
												BgL_arg1208z00_1122 = CDR(BgL_pairz00_1589);
											}
											{
												obj_t BgL_plz00_2023;

												BgL_plz00_2023 = BgL_arg1208z00_1122;
												BgL_plz00_1117 = BgL_plz00_2023;
												goto BgL_zc3z04anonymousza31203ze3z87_1118;
											}
										}
								}
						}
					}
				else
					{	/* Ieee/symbol.scm 266 */
						return
							BGl_errorz00zz__errorz00(BGl_string1668z00zz__r4_symbols_6_4z00,
							BGl_string1667z00zz__r4_symbols_6_4z00, BgL_symbolz00_14);
					}
			}
		}

	}



/* &getprop */
	obj_t BGl_z62getpropz62zz__r4_symbols_6_4z00(obj_t BgL_envz00_1829,
		obj_t BgL_symbolz00_1830, obj_t BgL_keyz00_1831)
	{
		{	/* Ieee/symbol.scm 265 */
			return
				BGl_getpropz00zz__r4_symbols_6_4z00(BgL_symbolz00_1830,
				BgL_keyz00_1831);
		}

	}



/* putprop! */
	BGL_EXPORTED_DEF obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t
		BgL_symbolz00_16, obj_t BgL_keyz00_17, obj_t BgL_valz00_18)
	{
		{	/* Ieee/symbol.scm 280 */
			{	/* Ieee/symbol.scm 281 */
				bool_t BgL_test1738z00_2026;

				if (SYMBOLP(BgL_symbolz00_16))
					{	/* Ieee/symbol.scm 281 */
						BgL_test1738z00_2026 = ((bool_t) 1);
					}
				else
					{	/* Ieee/symbol.scm 281 */
						BgL_test1738z00_2026 = KEYWORDP(BgL_symbolz00_16);
					}
				if (BgL_test1738z00_2026)
					{	/* Ieee/symbol.scm 282 */
						obj_t BgL_g1041z00_1128;

						if (SYMBOLP(BgL_symbolz00_16))
							{	/* Ieee/symbol.scm 253 */
								BgL_g1041z00_1128 = GET_SYMBOL_PLIST(BgL_symbolz00_16);
							}
						else
							{	/* Ieee/symbol.scm 253 */
								if (KEYWORDP(BgL_symbolz00_16))
									{	/* Ieee/symbol.scm 255 */
										BgL_g1041z00_1128 = GET_KEYWORD_PLIST(BgL_symbolz00_16);
									}
								else
									{	/* Ieee/symbol.scm 255 */
										BgL_g1041z00_1128 =
											BGl_errorz00zz__errorz00
											(BGl_string1666z00zz__r4_symbols_6_4z00,
											BGl_string1667z00zz__r4_symbols_6_4z00, BgL_symbolz00_16);
									}
							}
						{
							obj_t BgL_plz00_1130;

							BgL_plz00_1130 = BgL_g1041z00_1128;
						BgL_zc3z04anonymousza31214ze3z87_1131:
							if (NULLP(BgL_plz00_1130))
								{	/* Ieee/symbol.scm 285 */
									obj_t BgL_newz00_1133;

									{	/* Ieee/symbol.scm 285 */
										obj_t BgL_arg1217z00_1135;

										{	/* Ieee/symbol.scm 285 */
											obj_t BgL_arg1219z00_1136;

											if (SYMBOLP(BgL_symbolz00_16))
												{	/* Ieee/symbol.scm 253 */
													BgL_arg1219z00_1136 =
														GET_SYMBOL_PLIST(BgL_symbolz00_16);
												}
											else
												{	/* Ieee/symbol.scm 253 */
													if (KEYWORDP(BgL_symbolz00_16))
														{	/* Ieee/symbol.scm 255 */
															BgL_arg1219z00_1136 =
																GET_KEYWORD_PLIST(BgL_symbolz00_16);
														}
													else
														{	/* Ieee/symbol.scm 255 */
															BgL_arg1219z00_1136 =
																BGl_errorz00zz__errorz00
																(BGl_string1666z00zz__r4_symbols_6_4z00,
																BGl_string1667z00zz__r4_symbols_6_4z00,
																BgL_symbolz00_16);
														}
												}
											BgL_arg1217z00_1135 =
												MAKE_YOUNG_PAIR(BgL_valz00_18, BgL_arg1219z00_1136);
										}
										BgL_newz00_1133 =
											MAKE_YOUNG_PAIR(BgL_keyz00_17, BgL_arg1217z00_1135);
									}
									if (SYMBOLP(BgL_symbolz00_16))
										{	/* Ieee/symbol.scm 286 */
											SET_SYMBOL_PLIST(BgL_symbolz00_16, BgL_newz00_1133);
										}
									else
										{	/* Ieee/symbol.scm 286 */
											SET_KEYWORD_PLIST(BgL_symbolz00_16, BgL_newz00_1133);
										}
									return BgL_newz00_1133;
								}
							else
								{	/* Ieee/symbol.scm 284 */
									if ((CAR(((obj_t) BgL_plz00_1130)) == BgL_keyz00_17))
										{	/* Ieee/symbol.scm 291 */
											obj_t BgL_arg1226z00_1139;

											BgL_arg1226z00_1139 = CDR(((obj_t) BgL_plz00_1130));
											{	/* Ieee/symbol.scm 291 */
												obj_t BgL_tmpz00_2058;

												BgL_tmpz00_2058 = ((obj_t) BgL_arg1226z00_1139);
												return SET_CAR(BgL_tmpz00_2058, BgL_valz00_18);
											}
										}
									else
										{	/* Ieee/symbol.scm 293 */
											obj_t BgL_arg1230z00_1140;

											{	/* Ieee/symbol.scm 293 */
												obj_t BgL_pairz00_1600;

												BgL_pairz00_1600 = CDR(((obj_t) BgL_plz00_1130));
												BgL_arg1230z00_1140 = CDR(BgL_pairz00_1600);
											}
											{
												obj_t BgL_plz00_2064;

												BgL_plz00_2064 = BgL_arg1230z00_1140;
												BgL_plz00_1130 = BgL_plz00_2064;
												goto BgL_zc3z04anonymousza31214ze3z87_1131;
											}
										}
								}
						}
					}
				else
					{	/* Ieee/symbol.scm 281 */
						BGL_TAIL return
							BGl_errorz00zz__errorz00(BGl_string1668z00zz__r4_symbols_6_4z00,
							BGl_string1667z00zz__r4_symbols_6_4z00, BgL_symbolz00_16);
					}
			}
		}

	}



/* &putprop! */
	obj_t BGl_z62putpropz12z70zz__r4_symbols_6_4z00(obj_t BgL_envz00_1832,
		obj_t BgL_symbolz00_1833, obj_t BgL_keyz00_1834, obj_t BgL_valz00_1835)
	{
		{	/* Ieee/symbol.scm 280 */
			return
				BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_symbolz00_1833,
				BgL_keyz00_1834, BgL_valz00_1835);
		}

	}



/* remprop! */
	BGL_EXPORTED_DEF obj_t BGl_rempropz12z12zz__r4_symbols_6_4z00(obj_t
		BgL_symbolz00_19, obj_t BgL_keyz00_20)
	{
		{	/* Ieee/symbol.scm 299 */
			{	/* Ieee/symbol.scm 300 */
				bool_t BgL_test1747z00_2067;

				if (SYMBOLP(BgL_symbolz00_19))
					{	/* Ieee/symbol.scm 300 */
						BgL_test1747z00_2067 = ((bool_t) 1);
					}
				else
					{	/* Ieee/symbol.scm 300 */
						BgL_test1747z00_2067 = KEYWORDP(BgL_symbolz00_19);
					}
				if (BgL_test1747z00_2067)
					{	/* Ieee/symbol.scm 301 */
						obj_t BgL_g1043z00_1147;

						if (SYMBOLP(BgL_symbolz00_19))
							{	/* Ieee/symbol.scm 253 */
								BgL_g1043z00_1147 = GET_SYMBOL_PLIST(BgL_symbolz00_19);
							}
						else
							{	/* Ieee/symbol.scm 253 */
								if (KEYWORDP(BgL_symbolz00_19))
									{	/* Ieee/symbol.scm 255 */
										BgL_g1043z00_1147 = GET_KEYWORD_PLIST(BgL_symbolz00_19);
									}
								else
									{	/* Ieee/symbol.scm 255 */
										BgL_g1043z00_1147 =
											BGl_errorz00zz__errorz00
											(BGl_string1666z00zz__r4_symbols_6_4z00,
											BGl_string1667z00zz__r4_symbols_6_4z00, BgL_symbolz00_19);
									}
							}
						{
							obj_t BgL_oldz00_1149;
							obj_t BgL_lz00_1150;

							BgL_oldz00_1149 = BNIL;
							BgL_lz00_1150 = BgL_g1043z00_1147;
						BgL_zc3z04anonymousza31234ze3z87_1151:
							if (NULLP(BgL_lz00_1150))
								{	/* Ieee/symbol.scm 304 */
									return BFALSE;
								}
							else
								{	/* Ieee/symbol.scm 304 */
									if ((CAR(((obj_t) BgL_lz00_1150)) == BgL_keyz00_20))
										{	/* Ieee/symbol.scm 306 */
											if (PAIRP(BgL_oldz00_1149))
												{	/* Ieee/symbol.scm 309 */
													obj_t BgL_arg1239z00_1156;
													obj_t BgL_arg1241z00_1157;

													BgL_arg1239z00_1156 = CDR(BgL_oldz00_1149);
													{	/* Ieee/symbol.scm 309 */
														obj_t BgL_pairz00_1608;

														BgL_pairz00_1608 = CDR(((obj_t) BgL_lz00_1150));
														BgL_arg1241z00_1157 = CDR(BgL_pairz00_1608);
													}
													{	/* Ieee/symbol.scm 309 */
														obj_t BgL_tmpz00_2090;

														BgL_tmpz00_2090 = ((obj_t) BgL_arg1239z00_1156);
														return
															SET_CDR(BgL_tmpz00_2090, BgL_arg1241z00_1157);
													}
												}
											else
												{	/* Ieee/symbol.scm 308 */
													if (SYMBOLP(BgL_symbolz00_19))
														{	/* Ieee/symbol.scm 312 */
															obj_t BgL_arg1248z00_1159;

															{	/* Ieee/symbol.scm 312 */
																obj_t BgL_pairz00_1613;

																BgL_pairz00_1613 = CDR(((obj_t) BgL_lz00_1150));
																BgL_arg1248z00_1159 = CDR(BgL_pairz00_1613);
															}
															return
																SET_SYMBOL_PLIST(BgL_symbolz00_19,
																BgL_arg1248z00_1159);
														}
													else
														{	/* Ieee/symbol.scm 313 */
															obj_t BgL_arg1249z00_1160;

															{	/* Ieee/symbol.scm 313 */
																obj_t BgL_pairz00_1617;

																BgL_pairz00_1617 = CDR(((obj_t) BgL_lz00_1150));
																BgL_arg1249z00_1160 = CDR(BgL_pairz00_1617);
															}
															return
																SET_KEYWORD_PLIST(BgL_symbolz00_19,
																BgL_arg1249z00_1160);
														}
												}
										}
									else
										{	/* Ieee/symbol.scm 315 */
											obj_t BgL_arg1252z00_1161;

											{	/* Ieee/symbol.scm 315 */
												obj_t BgL_pairz00_1621;

												BgL_pairz00_1621 = CDR(((obj_t) BgL_lz00_1150));
												BgL_arg1252z00_1161 = CDR(BgL_pairz00_1621);
											}
											{
												obj_t BgL_lz00_2107;
												obj_t BgL_oldz00_2106;

												BgL_oldz00_2106 = BgL_lz00_1150;
												BgL_lz00_2107 = BgL_arg1252z00_1161;
												BgL_lz00_1150 = BgL_lz00_2107;
												BgL_oldz00_1149 = BgL_oldz00_2106;
												goto BgL_zc3z04anonymousza31234ze3z87_1151;
											}
										}
								}
						}
					}
				else
					{	/* Ieee/symbol.scm 300 */
						return
							BGl_errorz00zz__errorz00(BGl_string1668z00zz__r4_symbols_6_4z00,
							BGl_string1667z00zz__r4_symbols_6_4z00, BgL_symbolz00_19);
					}
			}
		}

	}



/* &remprop! */
	obj_t BGl_z62rempropz12z70zz__r4_symbols_6_4z00(obj_t BgL_envz00_1836,
		obj_t BgL_symbolz00_1837, obj_t BgL_keyz00_1838)
	{
		{	/* Ieee/symbol.scm 299 */
			return
				BGl_rempropz12z12zz__r4_symbols_6_4z00(BgL_symbolz00_1837,
				BgL_keyz00_1838);
		}

	}



/* keyword? */
	BGL_EXPORTED_DEF bool_t BGl_keywordzf3zf3zz__r4_symbols_6_4z00(obj_t
		BgL_objz00_21)
	{
		{	/* Ieee/symbol.scm 321 */
			return KEYWORDP(BgL_objz00_21);
		}

	}



/* &keyword? */
	obj_t BGl_z62keywordzf3z91zz__r4_symbols_6_4z00(obj_t BgL_envz00_1839,
		obj_t BgL_objz00_1840)
	{
		{	/* Ieee/symbol.scm 321 */
			return BBOOL(BGl_keywordzf3zf3zz__r4_symbols_6_4z00(BgL_objz00_1840));
		}

	}



/* keyword->string */
	BGL_EXPORTED_DEF obj_t BGl_keywordzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t
		BgL_keywordz00_22)
	{
		{	/* Ieee/symbol.scm 327 */
			{	/* Ieee/symbol.scm 328 */
				obj_t BgL_arg1254z00_1876;

				BgL_arg1254z00_1876 = KEYWORD_TO_STRING(BgL_keywordz00_22);
				return BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1254z00_1876);
			}
		}

	}



/* &keyword->string */
	obj_t BGl_z62keywordzd2ze3stringz53zz__r4_symbols_6_4z00(obj_t
		BgL_envz00_1841, obj_t BgL_keywordz00_1842)
	{
		{	/* Ieee/symbol.scm 327 */
			{	/* Ieee/symbol.scm 328 */
				obj_t BgL_auxz00_2115;

				if (KEYWORDP(BgL_keywordz00_1842))
					{	/* Ieee/symbol.scm 328 */
						BgL_auxz00_2115 = BgL_keywordz00_1842;
					}
				else
					{
						obj_t BgL_auxz00_2118;

						BgL_auxz00_2118 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1653z00zz__r4_symbols_6_4z00, BINT(13286L),
							BGl_string1669z00zz__r4_symbols_6_4z00,
							BGl_string1670z00zz__r4_symbols_6_4z00, BgL_keywordz00_1842);
						FAILURE(BgL_auxz00_2118, BFALSE, BFALSE);
					}
				return BGl_keywordzd2ze3stringz31zz__r4_symbols_6_4z00(BgL_auxz00_2115);
			}
		}

	}



/* keyword->string! */
	BGL_EXPORTED_DEF obj_t
		BGl_keywordzd2ze3stringz12z23zz__r4_symbols_6_4z00(obj_t BgL_keywordz00_23)
	{
		{	/* Ieee/symbol.scm 333 */
			return KEYWORD_TO_STRING(BgL_keywordz00_23);
		}

	}



/* &keyword->string! */
	obj_t BGl_z62keywordzd2ze3stringz12z41zz__r4_symbols_6_4z00(obj_t
		BgL_envz00_1843, obj_t BgL_keywordz00_1844)
	{
		{	/* Ieee/symbol.scm 333 */
			{	/* Ieee/symbol.scm 334 */
				obj_t BgL_auxz00_2124;

				if (KEYWORDP(BgL_keywordz00_1844))
					{	/* Ieee/symbol.scm 334 */
						BgL_auxz00_2124 = BgL_keywordz00_1844;
					}
				else
					{
						obj_t BgL_auxz00_2127;

						BgL_auxz00_2127 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1653z00zz__r4_symbols_6_4z00, BINT(13584L),
							BGl_string1671z00zz__r4_symbols_6_4z00,
							BGl_string1670z00zz__r4_symbols_6_4z00, BgL_keywordz00_1844);
						FAILURE(BgL_auxz00_2127, BFALSE, BFALSE);
					}
				return
					BGl_keywordzd2ze3stringz12z23zz__r4_symbols_6_4z00(BgL_auxz00_2124);
			}
		}

	}



/* string->keyword */
	BGL_EXPORTED_DEF obj_t BGl_stringzd2ze3keywordz31zz__r4_symbols_6_4z00(obj_t
		BgL_stringz00_24)
	{
		{	/* Ieee/symbol.scm 339 */
			BGL_TAIL return bstring_to_keyword(BgL_stringz00_24);
		}

	}



/* &string->keyword */
	obj_t BGl_z62stringzd2ze3keywordz53zz__r4_symbols_6_4z00(obj_t
		BgL_envz00_1845, obj_t BgL_stringz00_1846)
	{
		{	/* Ieee/symbol.scm 339 */
			{	/* Ieee/symbol.scm 342 */
				obj_t BgL_auxz00_2133;

				if (STRINGP(BgL_stringz00_1846))
					{	/* Ieee/symbol.scm 342 */
						BgL_auxz00_2133 = BgL_stringz00_1846;
					}
				else
					{
						obj_t BgL_auxz00_2136;

						BgL_auxz00_2136 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1653z00zz__r4_symbols_6_4z00, BINT(13931L),
							BGl_string1672z00zz__r4_symbols_6_4z00,
							BGl_string1658z00zz__r4_symbols_6_4z00, BgL_stringz00_1846);
						FAILURE(BgL_auxz00_2136, BFALSE, BFALSE);
					}
				return BGl_stringzd2ze3keywordz31zz__r4_symbols_6_4z00(BgL_auxz00_2133);
			}
		}

	}



/* symbol->keyword */
	BGL_EXPORTED_DEF obj_t BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00(obj_t
		BgL_symbolz00_25)
	{
		{	/* Ieee/symbol.scm 349 */
			{	/* Ieee/symbol.scm 350 */
				obj_t BgL_arg1258z00_1623;

				{	/* Ieee/symbol.scm 174 */
					obj_t BgL_arg1163z00_1625;

					BgL_arg1163z00_1625 = SYMBOL_TO_STRING(BgL_symbolz00_25);
					BgL_arg1258z00_1623 =
						BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1163z00_1625);
				}
				return bstring_to_keyword(BgL_arg1258z00_1623);
			}
		}

	}



/* &symbol->keyword */
	obj_t BGl_z62symbolzd2ze3keywordz53zz__r4_symbols_6_4z00(obj_t
		BgL_envz00_1847, obj_t BgL_symbolz00_1848)
	{
		{	/* Ieee/symbol.scm 349 */
			{	/* Ieee/symbol.scm 350 */
				obj_t BgL_auxz00_2144;

				if (SYMBOLP(BgL_symbolz00_1848))
					{	/* Ieee/symbol.scm 350 */
						BgL_auxz00_2144 = BgL_symbolz00_1848;
					}
				else
					{
						obj_t BgL_auxz00_2147;

						BgL_auxz00_2147 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1653z00zz__r4_symbols_6_4z00, BINT(14285L),
							BGl_string1673z00zz__r4_symbols_6_4z00,
							BGl_string1655z00zz__r4_symbols_6_4z00, BgL_symbolz00_1848);
						FAILURE(BgL_auxz00_2147, BFALSE, BFALSE);
					}
				return BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00(BgL_auxz00_2144);
			}
		}

	}



/* keyword->symbol */
	BGL_EXPORTED_DEF obj_t BGl_keywordzd2ze3symbolz31zz__r4_symbols_6_4z00(obj_t
		BgL_keywordz00_26)
	{
		{	/* Ieee/symbol.scm 355 */
			{	/* Ieee/symbol.scm 356 */
				obj_t BgL_arg1259z00_1627;

				{	/* Ieee/symbol.scm 328 */
					obj_t BgL_arg1254z00_1629;

					BgL_arg1254z00_1629 = KEYWORD_TO_STRING(BgL_keywordz00_26);
					BgL_arg1259z00_1627 =
						BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1254z00_1629);
				}
				return bstring_to_symbol(BgL_arg1259z00_1627);
			}
		}

	}



/* &keyword->symbol */
	obj_t BGl_z62keywordzd2ze3symbolz53zz__r4_symbols_6_4z00(obj_t
		BgL_envz00_1849, obj_t BgL_keywordz00_1850)
	{
		{	/* Ieee/symbol.scm 355 */
			{	/* Ieee/symbol.scm 356 */
				obj_t BgL_auxz00_2155;

				if (KEYWORDP(BgL_keywordz00_1850))
					{	/* Ieee/symbol.scm 356 */
						BgL_auxz00_2155 = BgL_keywordz00_1850;
					}
				else
					{
						obj_t BgL_auxz00_2158;

						BgL_auxz00_2158 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1653z00zz__r4_symbols_6_4z00, BINT(14587L),
							BGl_string1674z00zz__r4_symbols_6_4z00,
							BGl_string1670z00zz__r4_symbols_6_4z00, BgL_keywordz00_1850);
						FAILURE(BgL_auxz00_2158, BFALSE, BFALSE);
					}
				return BGl_keywordzd2ze3symbolz31zz__r4_symbols_6_4z00(BgL_auxz00_2155);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__r4_symbols_6_4z00(void)
	{
		{	/* Ieee/symbol.scm 14 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__r4_symbols_6_4z00(void)
	{
		{	/* Ieee/symbol.scm 14 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__r4_symbols_6_4z00(void)
	{
		{	/* Ieee/symbol.scm 14 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__r4_symbols_6_4z00(void)
	{
		{	/* Ieee/symbol.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(88804785L,
				BSTRING_TO_STRING(BGl_string1675z00zz__r4_symbols_6_4z00));
			return
				BGl_modulezd2initializa7ationz75zz__paramz00(453939141L,
				BSTRING_TO_STRING(BGl_string1675z00zz__r4_symbols_6_4z00));
		}

	}

#ifdef __cplusplus
}
#endif
